- Core Resources
  - Tasks
    - getRetrieve list of tasks under your account
  - Task Execution
    - postRun a task
    - getRetrieve a task execution
  - Monitors
    - getRetrieve a task's monitors
    - postCreate a new monitor on a task
    - getRetrieve a task's monitor
    - patchUpdate a task monitor
    - delDelete a task's monitor
  - Bulk Runs
    - postBulk run a task
    - getRetrieve a task's bulk runs list
    - getRetrieve a task's bulk run

API docs by Redocly](https://redocly.com/redoc/)

# API Documentation (v1)

Download OpenAPI specification: [Download](https://api.browse.ai/v1/openapi)

This version (v1) is an older API version that will be deprecated soon. To see the documentation for the most recent version (v2), [click here](https://www.browse.ai/docs/api/v2).

## [tag/tasks](https://www.browse.ai/docs/api/v1\#tag/tasks) Tasks

A task is an automation that can do almost anything you do manually on the web. For example:

- Open a webpage,
- Log in,
- Click on buttons,
- Fill out forms,
- Extract structured data from a webpage into a spreadsheet,
- Take screenshots,
- Monitor specific parts of webpages for visual or content changes.

Tasks are created either using 1-Click Automations or using Browse AI Recorder and its click-and-extract interface. Every task has a few variables (like the webpage address) that you can adjust every time you run it.

## [tag/tasks/operation/getTeamTasks](https://www.browse.ai/docs/api/v1\#tag/tasks/operation/getTeamTasks) Retrieve list of tasks under your account

If you have already created a few tasks on [your dashboard](https://dashboard.browse.ai/), you can use this endpoint to retrieve a list of them.

You can then use other endpoints to retrieve more information about your tasks or run tasks.

##### path Parameters

|     |     |
| --- | --- |
| teamId<br>required | string<br>Team ID.<br>Even single-user personal accounts have a team ID. Feel free to [ask us](https://www.browse.ai/support) if you do not know your ID. |

##### header Parameters

|     |     |
| --- | --- |
| authorization<br>required | string<br>Example: Bearer YOUR\_SECRET\_API\_KEY<br>You can generate a new API key on [your dashboard](https://dashboard.browse.ai/api) if you do not have one. |

### Responses

**200**

A JSON containing the total number of tasks and an array of tasks under this team.

**400**

A JSON containing an error code and message.

**401**

A JSON containing an error code and message.

get/teams/{teamId}/tasks

https://api.browse.ai/v1/teams/{teamId}/tasks

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/teams/{teamId}/tasks/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"tasks": {"totalCount": 0,

"items": [{"id": "4f5cd7ff-6c98-4cac-8cf0-d7d0cb050b06",\
\
"name": "Extract data from Realtor.com",\
\
"createdAt": 1620739118,\
\
"variables": [{"type": "text",\
\
"name": "originUrl",\
\
"label": "Origin URL",\
\
"encrypted": false,\
\
"defaultValue": "https://www.espressozone.com/espresso-machines/semi-automatic-espresso-machines",\
\
"value": null\
\
}\
\
]\
\
}\
\
]

}

}`

## [tag/executions](https://www.browse.ai/docs/api/v1\#tag/executions) Task Execution

Every time Browse AI runs a task for you, it counts as **one execution**.
For example, if you set up a monitoring task to monitor a webpage for changes daily, Browse AI will have to execute the task every day or about 30 times per month for you.

**Note:** Task _executions_ used to be called _jobs_. The word _job_ is still used in some API endpoints and parameters for backwards-compatibility.

## [tag/executions/operation/newTaskJob](https://www.browse.ai/docs/api/v1\#tag/executions/operation/newTaskJob) Run a task

Run a task on-demand with custom variable inputs.

When you need to run a task and get its captured data, you can use this endpoint to run the task, and then use webhooks to receive the captured data as soon as the execution is finished. Alternatively, you can poll the GET endpoint to retrieve an execution's details as soon as it is finished.

##### path Parameters

|     |     |
| --- | --- |
| taskId<br>required | string<br>Unique task ID<br>You can find a task's ID by opening it on the dashboard and copying its ID in the browser address bar. |

##### query Parameters

|     |     |
| --- | --- |
| waitForJob | boolean<br>Deprecated <br>Default: false<br>~~Set this to `false` if you want to receive the execution ID and other details immediately, as soon as the task starts running.~~<br>~~Set it to `true` if you want to wait for the running task to finish and then receive a response containing captured data. Please note that if the execution lasts longer than 20 seconds, this endpoint will respond with the pending execution's details. In that case, you will need to poll the GET endpoint or use webhooks to retrieve the captured data once execution is finished.~~<br>This option has been fully deprecated. Its value is always assumed `false`. You should use webhooks or polling to retrieve a task execution's results. |

##### header Parameters

### Responses

**200**

A JSON including tasks list.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

**500**

A JSON containing error attributes.

**503**

A JSON containing error attributes.

post/tasks/{taskId}/jobs

https://api.browse.ai/v1/tasks/{taskId}/jobs

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/tasks/{taskId}/jobs?waitForJob=false");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
request.AddParameter("undefined", "{\"variables\":{\"originUrl\":\"https://www.espressozone.com/espresso-machines/semi-automatic-espresso-machines\"}}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401
- 404
- 500
- 503

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"result": {"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",

"variables": [{"type": "text",\
\
"name": "originUrl",\
\
"label": "Origin URL",\
\
"encrypted": false,\
\
"defaultValue": "https://www.espressozone.com/espresso-machines/semi-automatic-espresso-machines",\
\
"value": null\
\
}\
\
],

"triggeredByUserId": null,

"triggeredByTaskMonitorId": null,

"triggeredByAPI": true,

"createdAt": 1620739118,

"startedAt": 1620739118,

"finishedAt": 1620739118,

"userFriendlyError": null,

"triedRecordingVideo": true,

"videoUrl": "https://prod-browseai-captured-data.s3.amazonaws.com/1fae674a-2788-46a8-83c8-95c4664c6d25/6326b3c1-7b16-4256-a323-7d8d8954bd4e/1061671f-7f71-42ac-bb9a-207d126d1f3a/system-1620230966-b1a9688b-05d3-4682-beeb-9ce035e482b1.mp4?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAQVG3TPBVXHSCAX63%2F20221031%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221031T185642Z&X-Amz-Expires=1800&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEJP%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQDfX8VNAl5kBgttrCU85U5wc1ZtSOmshO6%2FPilXOv8nvgIhAIveFfsk%2B2CnEkrMZWriodEPsj0osO5a5zV6eVu%2FXfuZKp8DCHwQAhoMMDQ1NTU3NzA4OTA3IgyrbhVK0MP1WMFBXh0q%2FAJulP5qfaV5mn3NRbINqZN4hy4Dg3IujNrZjw8ef32sWE1Gj2D%2Fc0YTJUzvx%2Fnm7LxyNO6AR35mrVy%2FBm9Q80UIspkcLMl45EK%2FoUDO0fAvoUF8g6iZ905qS3MvnOTxXkObhM1PVmpFeJFMw3jksnOPfKE4X7Ut%2FJXNwD%2F5QzdkQCXkGem%2BlrYSSSf8jB8lihTAjT%2FNXmOKMv3jktmZ13T8J1R8F8zeuLPMQf7QphUzlKn5joPb28cConluQC97y%2BjwxqIYjvIFKXY9cZEoaHGh4c6FbXsia714zG3CQp8NSGLbqCCu93oJI1Z61E%2BZ6PhB3vZGdBvXi61AlJcxZ7sti6i0h4VAbWspiJIgWwoZzrsTtneBNNpUW9tvtacGgEZIwAKV%2F3AhVEZu3WC1eQ9HtfjT9%2FjW99SEB8VVGXwkM%2FA9mtT%2FuiL0cAfQZRMhtbQJXXDRdkYEw%2FWuhjJ3zxEtEB2m3uH%2B%2BUEzOzGTd5Knm%2Bero%2BhMfN8X%2Botm3DDbtICbBjqcAf5Riii0XE1w2TZvpm%2FPNHTchCu7FnNz5hfvflv8scpgO5M4bGpy%2FadI4%2F7AUQqCQXFw4scF0FCCdb8AKJZsFGG18W1jjDHyR0YuxZFQ%2FJQRt0JP3yr%2BkVxjAH7qTtc0AzF%2FnGTgy3MOF%2Bm6Y7EkyCWyV2r6o1JTBQMftlf7MI8Uvw4cSZE6JoZviaFtmKVLGGgR4F3cDiyU56augA%3D%3D&X-Amz-Signature=a7bb4d7597ad37cdf1f260890c3c474f7f49334db58c9650d75302a34126f7bc&X-Amz-SignedHeaders=host",

"videoRemovedAt": 1620739118,

"retriedJobId": "673da019-bf0c-476e-9c4f-d35252a151dc",

"retriedOriginalJobId": "673da019-bf0c-476e-9c4f-d35252a151dc",

"retriedByJobId": null,

"capturedTexts": [{"id": "a5398be3-020c-4b6f-a6c6-59ed4d86ab5c",\
\
"name": "Product Title",\
\
"text": "Apple iPhone 8, 64GB, Space Gray",\
\
"targetNotFound": false,\
\
"type": "innerText",\
\
"createdAt": 1620739118\
\
}\
\
],

"capturedScreenshots": [{"id": "b4d132f3-12d9-4770-ac7d-88e481fc5b47",\
\
"name": "Top ads",\
\
"src": "https://prod-browseai-captured-data.s3.amazonaws.com/1fae674a-2788-46a8-83c8-95c4664c6d25/6326b3c1-7b16-4256-a323-7d8d8954bd4e/1061671f-7f71-42ac-bb9a-207d126d1f3a/00001-user-1620230947-6f113cf2-90ef-4c66-a448-9d5c6bd64873.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAQVG3TPBVXHSCAX63%2F20221031%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221031T185642Z&X-Amz-Expires=1800&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEJP%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQDfX8VNAl5kBgttrCU85U5wc1ZtSOmshO6%2FPilXOv8nvgIhAIveFfsk%2B2CnEkrMZWriodEPsj0osO5a5zV6eVu%2FXfuZKp8DCHwQAhoMMDQ1NTU3NzA4OTA3IgyrbhVK0MP1WMFBXh0q%2FAJulP5qfaV5mn3NRbINqZN4hy4Dg3IujNrZjw8ef32sWE1Gj2D%2Fc0YTJUzvx%2Fnm7LxyNO6AR35mrVy%2FBm9Q80UIspkcLMl45EK%2FoUDO0fAvoUF8g6iZ905qS3MvnOTxXkObhM1PVmpFeJFMw3jksnOPfKE4X7Ut%2FJXNwD%2F5QzdkQCXkGem%2BlrYSSSf8jB8lihTAjT%2FNXmOKMv3jktmZ13T8J1R8F8zeuLPMQf7QphUzlKn5joPb28cConluQC97y%2BjwxqIYjvIFKXY9cZEoaHGh4c6FbXsia714zG3CQp8NSGLbqCCu93oJI1Z61E%2BZ6PhB3vZGdBvXi61AlJcxZ7sti6i0h4VAbWspiJIgWwoZzrsTtneBNNpUW9tvtacGgEZIwAKV%2F3AhVEZu3WC1eQ9HtfjT9%2FjW99SEB8VVGXwkM%2FA9mtT%2FuiL0cAfQZRMhtbQJXXDRdkYEw%2FWuhjJ3zxEtEB2m3uH%2B%2BUEzOzGTd5Knm%2Bero%2BhMfN8X%2Botm3DDbtICbBjqcAf5Riii0XE1w2TZvpm%2FPNHTchCu7FnNz5hfvflv8scpgO5M4bGpy%2FadI4%2F7AUQqCQXFw4scF0FCCdb8AKJZsFGG18W1jjDHyR0YuxZFQ%2FJQRt0JP3yr%2BkVxjAH7qTtc0AzF%2FnGTgy3MOF%2Bm6Y7EkyCWyV2r6o1JTBQMftlf7MI8Uvw4cSZE6JoZviaFtmKVLGGgR4F3cDiyU56augA%3D%3D&X-Amz-Signature=a7bb4d7597ad37cdf1f260890c3c474f7f49334db58c9650d75302a34126f7bc&X-Amz-SignedHeaders=host",\
\
"width": 600,\
\
"height": 120,\
\
"x": 201,\
\
"y": 142,\
\
"deviceScaleFactor": 1.2,\
\
"full": null,\
\
"createdAt": 1620739118,\
\
"comparedToScreenshotId": "29d742c2-6f45-4f29-9d48-ba6fe66e6e3d",\
\
"diffImageSrc": "https://prod-browseai-captured-data.s3.amazonaws.com/1fae674a-2788-46a8-83c8-95c4664c6d25/6326b3c1-7b16-4256-a323-7d8d8954bd4e/1061671f-7f71-42ac-bb9a-207d126d1f3a/00001-user-1620230947-6f113cf2-90ef-4c66-a448-9d5c6bd64873.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAQVG3TPBVXHSCAX63%2F20221031%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221031T185642Z&X-Amz-Expires=1800&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEJP%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQDfX8VNAl5kBgttrCU85U5wc1ZtSOmshO6%2FPilXOv8nvgIhAIveFfsk%2B2CnEkrMZWriodEPsj0osO5a5zV6eVu%2FXfuZKp8DCHwQAhoMMDQ1NTU3NzA4OTA3IgyrbhVK0MP1WMFBXh0q%2FAJulP5qfaV5mn3NRbINqZN4hy4Dg3IujNrZjw8ef32sWE1Gj2D%2Fc0YTJUzvx%2Fnm7LxyNO6AR35mrVy%2FBm9Q80UIspkcLMl45EK%2FoUDO0fAvoUF8g6iZ905qS3MvnOTxXkObhM1PVmpFeJFMw3jksnOPfKE4X7Ut%2FJXNwD%2F5QzdkQCXkGem%2BlrYSSSf8jB8lihTAjT%2FNXmOKMv3jktmZ13T8J1R8F8zeuLPMQf7QphUzlKn5joPb28cConluQC97y%2BjwxqIYjvIFKXY9cZEoaHGh4c6FbXsia714zG3CQp8NSGLbqCCu93oJI1Z61E%2BZ6PhB3vZGdBvXi61AlJcxZ7sti6i0h4VAbWspiJIgWwoZzrsTtneBNNpUW9tvtacGgEZIwAKV%2F3AhVEZu3WC1eQ9HtfjT9%2FjW99SEB8VVGXwkM%2FA9mtT%2FuiL0cAfQZRMhtbQJXXDRdkYEw%2FWuhjJ3zxEtEB2m3uH%2B%2BUEzOzGTd5Knm%2Bero%2BhMfN8X%2Botm3DDbtICbBjqcAf5Riii0XE1w2TZvpm%2FPNHTchCu7FnNz5hfvflv8scpgO5M4bGpy%2FadI4%2F7AUQqCQXFw4scF0FCCdb8AKJZsFGG18W1jjDHyR0YuxZFQ%2FJQRt0JP3yr%2BkVxjAH7qTtc0AzF%2FnGTgy3MOF%2Bm6Y7EkyCWyV2r6o1JTBQMftlf7MI8Uvw4cSZE6JoZviaFtmKVLGGgR4F3cDiyU56augA%3D%3D&X-Amz-Signature=a7bb4d7597ad37cdf1f260890c3c474f7f49334db58c9650d75302a34126f7bc&X-Amz-SignedHeaders=host",\
\
"changePercentage": 20,\
\
"diffThreshold": 5,\
\
"fileRemovedAt": 1620739118\
\
}\
\
],

"capturedLists": [{"id": "b9585fa0-20be-4094-8a03-6878b86d7cbf",\
\
"name": "Products",\
\
"skip": 0,\
\
"limit": 100,\
\
"itemsCount": 86,\
\
"uniqueCapturedTextName": "Product Title",\
\
"createdAt": 1620739118,\
\
"listItems": [{"listItemIndex": 0,\
\
"capturedTexts": [{"id": "a5398be3-020c-4b6f-a6c6-59ed4d86ab5c",\
\
"name": "Product Title",\
\
"text": "Apple iPhone 8, 64GB, Space Gray",\
\
"targetNotFound": false,\
\
"type": "innerText",\
\
"createdAt": 1620739118\
\
}\
\
],\
\
"capturedLists": { }\
\
}\
\
]\
\
}\
\
]

}

}`

## [tag/executions/operation/getTaskJob](https://www.browse.ai/docs/api/v1\#tag/executions/operation/getTaskJob) Retrieve a task execution

Retrieve a task execution's details and captured data.

##### path Parameters

|     |     |
| --- | --- |
| taskId<br>required | string<br>Unique task ID<br>You can find a task's ID by opening it on the dashboard and copying its ID in the browser address bar. |
| jobId<br>required | string<br>Unique execution ID |

##### header Parameters

### Responses

**200**

A JSON including tasks list.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

get/tasks/{taskId}/jobs/{jobId}

https://api.browse.ai/v1/tasks/{taskId}/jobs/{jobId}

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/tasks/{taskId}/jobs/{jobId}");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401
- 404

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"result": {"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",

"triggeredByUserId": null,

"triggeredByTaskMonitorId": null,

"triggeredByAPI": true,

"createdAt": 1620739118,

"startedAt": 1620739118,

"finishedAt": 1620739118,

"userFriendlyError": null,

"triedRecordingVideo": true,

"videoRemovedAt": 1620739118,

"retriedJobId": "673da019-bf0c-476e-9c4f-d35252a151dc",

"retriedOriginalJobId": "673da019-bf0c-476e-9c4f-d35252a151dc",

"retriedByJobId": null,

}

}`

## [tag/monitors](https://www.browse.ai/docs/api/v1\#tag/monitors) Monitors

Each task on Browse AI can optionally have one or more monitors. Monitoring tasks come with one monitor by default.

For example, if you set up a monitoring task to monitor a category page on an e-commerce site for changes daily, you can set up additional monitors to monitor other category pages on the same site using the same task.

Each monitor can have different variables and schedule.

## [tag/monitors/operation/getMonitors](https://www.browse.ai/docs/api/v1\#tag/monitors/operation/getMonitors) Retrieve a task's monitors

Retrieve a task's monitors list.

##### path Parameters

##### header Parameters

### Responses

**200**

A JSON including monitors list.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

**500**

A JSON containing error attributes.

get/tasks/{taskId}/monitors

https://api.browse.ai/v1/tasks/{taskId}/monitors

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/tasks/{taskId}/monitors");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401
- 404
- 500

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"monitors": [[{"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",\
\
"name": "Monitor Products",\
\
"variables": [{"type": "text",\
\
"name": "originUrl",\
\
"label": "Origin URL",\
\
"encrypted": false,\
\
"defaultValue": "https://www.espressozone.com/espresso-machines/semi-automatic-espresso-machines",\
\
"value": null\
\
}\
\
],\
\
"schedules": [{"type": "FIXED_INTERVAL",\
\
"everyMinutes": 60\
\
}\
\
],\
\
"notifyOnCapturedScreenshotChange": true,\
\
"notifyOnCapturedTextChange": true,\
\
"capturedScreenshotNotificationThreshold": 15,\
\
"createdAt": 1620739118,\
\
"pausedAt": 1620739118,\
\
"updatedAt": 1620739118\
\
}\
\
]\
\
]

}`

## [tag/monitors/operation/createNewMonitor](https://www.browse.ai/docs/api/v1\#tag/monitors/operation/createNewMonitor) Create a new monitor on a task

Create a new monitor on a task.

##### path Parameters

##### header Parameters

##### Request Body schema: application/json  required

|     |     |
| --- | --- |
| name | string \[ 1 .. 200 \] characters <br>Monitor name |
| variables | object<br>An object of variable values to override default variables. |
| schedules | Array of Fixed interval schedule (object) or null (Schedules) <br>Array of schedules. |
| notifyOnCapturedScreenshotChange | boolean<br>If set to `true`, an email notification will be sent to you when a change is detected in captured screenshots. |
| notifyOnCapturedTextChange | boolean<br>If set to `true`, an email notification will be sent to you when a change is detected in captured texts. |
| capturedScreenshotNotificationThreshold | number<br>The "screenshot changed" email notification will be sent to you if the change is greater than this threshold (in percent). |

### Responses

**200**

A JSON object containing the newly created monitor.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**403**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

**500**

A JSON containing error attributes.

post/tasks/{taskId}/monitors

https://api.browse.ai/v1/tasks/{taskId}/monitors

### Request samples

- Payload
- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Content type

application/json

Copy
Expand all  Collapse all

`{"name": "Monitor Products",

"variables": {"originUrl": "www.google.com",

"limit": 10

},

"schedules": [{"type": "FIXED_INTERVAL",\
\
"everyMinutes": 60\
\
}\
\
],

"notifyOnCapturedScreenshotChange": true,

"notifyOnCapturedTextChange": true,

"capturedScreenshotNotificationThreshold": 15

}`

### Response samples

- 200
- 400
- 401
- 403
- 404
- 500

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"monitor": {"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",

"name": "Monitor Products",

"schedules": [{"type": "FIXED_INTERVAL",\
\
"everyMinutes": 60\
\
}\
\
],

"notifyOnCapturedScreenshotChange": true,

"notifyOnCapturedTextChange": true,

"capturedScreenshotNotificationThreshold": 15,

"createdAt": 1620739118,

"pausedAt": 1620739118,

"updatedAt": 1620739118

}

}`

## [tag/monitors/operation/getMonitor](https://www.browse.ai/docs/api/v1\#tag/monitors/operation/getMonitor) Retrieve a task's monitor

Retrieve a task's monitor.

##### path Parameters

|     |     |
| --- | --- |
| taskId<br>required | string<br>Unique task ID<br>You can find a task's ID by opening it on the dashboard and copying its ID in the browser address bar. |
| monitorId<br>required | string<br>Unique monitor ID<br>You can find a monitor's ID by opening it on the dashboard and copying its ID in the browser address bar. |

##### header Parameters

### Responses

**200**

A JSON object containing the monitor.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

**500**

A JSON containing error attributes.

get/tasks/{taskId}/monitors/{monitorId}

https://api.browse.ai/v1/tasks/{taskId}/monitors/{monitorId}

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/tasks/{taskId}/monitors/{monitorId}");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401
- 404
- 500

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"monitor": {"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",

"name": "Monitor Products",

"schedules": [{"type": "FIXED_INTERVAL",\
\
"everyMinutes": 60\
\
}\
\
],

"notifyOnCapturedScreenshotChange": true,

"notifyOnCapturedTextChange": true,

"capturedScreenshotNotificationThreshold": 15,

"createdAt": 1620739118,

"pausedAt": 1620739118,

"updatedAt": 1620739118

}

}`

## [tag/monitors/operation/updateMonitor](https://www.browse.ai/docs/api/v1\#tag/monitors/operation/updateMonitor) Update a task monitor

Update a task monitor

##### path Parameters

##### header Parameters

##### Request Body schema: application/json  required

|     |     |
| --- | --- |
| name | string or null<br>Monitor name |
| variables | object or null<br>An object of variable values to override default variables. |
| schedules | Array of Fixed interval schedule (object) or null (Schedules) <br>Array of schedules. |
| notifyOnCapturedScreenshotChange | boolean or null<br>If set to `true`, an email notification will be sent to you when a change is detected in captured screenshots. |
| notifyOnCapturedTextChange | boolean or null<br>If set to `true`, an email notification will be sent to you when a change is detected in captured texts. |
| capturedScreenshotNotificationThreshold | number or null<br>The "screenshot changed" email notification will be sent to you if the change is greater than this threshold (in percent). |

### Responses

**200**

A JSON object containing the updated monitor.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**403**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

**500**

A JSON containing error attributes.

patch/tasks/{taskId}/monitors/{monitorId}

https://api.browse.ai/v1/tasks/{taskId}/monitors/{monitorId}

### Request samples

Content type

application/json

Copy
Expand all  Collapse all

`{"name": "Monitor Products",

"variables": {"originUrl": "www.google.com",

"limit": 10

},

"schedules": [{"type": "FIXED_INTERVAL",\
\
"everyMinutes": 60\
\
}\
\
],

"notifyOnCapturedScreenshotChange": true,

"notifyOnCapturedTextChange": true,

"capturedScreenshotNotificationThreshold": 15

}`

### Response samples

- 200
- 400
- 401
- 403
- 404
- 500

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"monitor": {"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",

"name": "Monitor Products",

"schedules": [{"type": "FIXED_INTERVAL",\
\
"everyMinutes": 60\
\
}\
\
],

"notifyOnCapturedScreenshotChange": true,

"notifyOnCapturedTextChange": true,

"capturedScreenshotNotificationThreshold": 15,

"createdAt": 1620739118,

"pausedAt": 1620739118,

"updatedAt": 1620739118

}

}`

## [tag/monitors/operation/deleteMonitor](https://www.browse.ai/docs/api/v1\#tag/monitors/operation/deleteMonitor) Delete a task's monitor

Delete a task's monitor.

##### path Parameters

##### header Parameters

### Responses

**200**

A JSON object containing the deleted monitor.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

**500**

A JSON containing error attributes.

delete/tasks/{taskId}/monitors/{monitorId}

https://api.browse.ai/v1/tasks/{taskId}/monitors/{monitorId}

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/tasks/{taskId}/monitors/{monitorId}");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401
- 404
- 500

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"monitor": {"id": "673da019-bf0c-476e-9c4f-d35252a151dc"

}

}`

## [tag/bulk-runs](https://www.browse.ai/docs/api/v1\#tag/bulk-runs) Bulk Runs

You can run a task up to 1,000 times at once with different variables for each run.

## [tag/bulk-runs/operation/newBulkRun](https://www.browse.ai/docs/api/v1\#tag/bulk-runs/operation/newBulkRun) Bulk run a task

Create a new bulk run on a task.

##### path Parameters

##### header Parameters

##### Request Body schema: application/json  required

|     |     |
| --- | --- |
| title | string \[ 1 .. 200 \] characters <br>A string that describes the bulk run. |
| variables | Array of objects<br>An array of variables to override the task's default variables. |

### Responses

**200**

A JSON object containing the newly created Bulk run.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**403**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

**500**

A JSON containing error attributes.

post/tasks/{taskId}/bulk-runs

https://api.browse.ai/v1/tasks/{taskId}/bulk-runs

### Request samples

Content type

application/json

Copy
Expand all  Collapse all

`{"title": "Bulk Run Title",

"variables": [{"originUrl": "https://www.ycombinator.com/companies/airbnb"\
\
},\
\
{"originUrl": "https://www.ycombinator.com/companies/coinbase"\
\
}\
\
]

}`

### Response samples

- 200
- 400
- 401
- 403
- 404
- 500

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"result": {"bulkRun": {"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",

"title": "Bulk Run Title",

"jobsCount": 10,

"taskId": "4f5cd7ff-6c98-4cac-8cf0-d7d0cb050b06",

"createdAt": 1620739118

}

}

}`

## [tag/bulk-runs/operation/getBulkRuns](https://www.browse.ai/docs/api/v1\#tag/bulk-runs/operation/getBulkRuns) Retrieve a task's bulk runs list

Retrieve a task's bulk runs list.

##### path Parameters

##### query Parameters

|     |     |
| --- | --- |
| page | integer >= 1 <br>Page number |

##### header Parameters

### Responses

**200**

A JSON object containing the bulk runs list.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

get/tasks/{taskId}/bulk-runs

https://api.browse.ai/v1/tasks/{taskId}/bulk-runs

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/tasks/{taskId}/bulk-runs?page=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401
- 404

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"result": {"totalCount": 101,

"pageNumber": 1,

"hasMore": true,

"items": [{"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",\
\
"title": "Bulk Run Title",\
\
"jobsCount": 10,\
\
"taskId": "4f5cd7ff-6c98-4cac-8cf0-d7d0cb050b06",\
\
"createdAt": 1620739118\
\
}\
\
]

}

}`

## [tag/bulk-runs/operation/getBulkRun](https://www.browse.ai/docs/api/v1\#tag/bulk-runs/operation/getBulkRun) Retrieve a task's bulk run

Retrieve a task's bulk run along with a list of task executions triggered through the bulk run.

##### path Parameters

|     |     |
| --- | --- |
| taskId<br>required | string<br>Unique task ID<br>You can find a task's ID by opening it on the dashboard and copying its ID in the browser address bar. |
| bulkRunId<br>required | string<br>Unique bulk run ID |

##### query Parameters

|     |     |
| --- | --- |
| page | integer >= 1 <br>Page number |

##### header Parameters

### Responses

**200**

A JSON object containing the bulk run information along with a paginated list of all its task executions.

**400**

A JSON containing error attributes. This will happen if any of the parameters are not valid.

**401**

A JSON containing error attributes.

**404**

A JSON containing error attributes.

get/tasks/{taskId}/bulk-runs/{bulkRunId}

https://api.browse.ai/v1/tasks/{taskId}/bulk-runs/{bulkRunId}

### Request samples

- C#
- Go
- Java
- Node (Native)
- Node (request)
- Objective-C
- PHP
- Python (python3)
- Python (requests)
- Ruby
- Shell (cURL)
- Shell (wget)
- Swift

Copy

```
var client = new RestClient("https://api.browse.ai/v1/tasks/{taskId}/bulk-runs/{bulkRunId}?page=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer YOUR_SECRET_API_KEY");
IRestResponse response = client.Execute(request);
```

### Response samples

- 200
- 400
- 401
- 404

Content type

application/json

Copy
Expand all  Collapse all

`{"statusCode": 200,

"messageCode": "success",

"result": {"bulkRun": {"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",

"title": "Bulk Run Title",

"jobsCount": 10,

"taskId": "4f5cd7ff-6c98-4cac-8cf0-d7d0cb050b06",

"createdAt": 1620739118

},

"taskJobs": {"totalCount": 101,

"pageNumber": 1,

"hasMore": true,

"items": [{"id": "f6fb62b6-f06a-4bf7-a623-c6a35c2e70b0",\
\
"variables": [{"type": "text",\
\
"name": "originUrl",\
\
"label": "Origin URL",\
\
"encrypted": false,\
\
"defaultValue": "https://www.espressozone.com/espresso-machines/semi-automatic-espresso-machines",\
\
"value": null\
\
}\
\
],\
\
"triggeredByUserId": null,\
\
"triggeredByTaskMonitorId": null,\
\
"triggeredByAPI": true,\
\
"createdAt": 1620739118,\
\
"startedAt": 1620739118,\
\
"finishedAt": 1620739118,\
\
"userFriendlyError": null,\
\
"triedRecordingVideo": true,\
\
"videoUrl": "https://prod-browseai-captured-data.s3.amazonaws.com/1fae674a-2788-46a8-83c8-95c4664c6d25/6326b3c1-7b16-4256-a323-7d8d8954bd4e/1061671f-7f71-42ac-bb9a-207d126d1f3a/system-1620230966-b1a9688b-05d3-4682-beeb-9ce035e482b1.mp4?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAQVG3TPBVXHSCAX63%2F20221031%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221031T185642Z&X-Amz-Expires=1800&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEJP%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQDfX8VNAl5kBgttrCU85U5wc1ZtSOmshO6%2FPilXOv8nvgIhAIveFfsk%2B2CnEkrMZWriodEPsj0osO5a5zV6eVu%2FXfuZKp8DCHwQAhoMMDQ1NTU3NzA4OTA3IgyrbhVK0MP1WMFBXh0q%2FAJulP5qfaV5mn3NRbINqZN4hy4Dg3IujNrZjw8ef32sWE1Gj2D%2Fc0YTJUzvx%2Fnm7LxyNO6AR35mrVy%2FBm9Q80UIspkcLMl45EK%2FoUDO0fAvoUF8g6iZ905qS3MvnOTxXkObhM1PVmpFeJFMw3jksnOPfKE4X7Ut%2FJXNwD%2F5QzdkQCXkGem%2BlrYSSSf8jB8lihTAjT%2FNXmOKMv3jktmZ13T8J1R8F8zeuLPMQf7QphUzlKn5joPb28cConluQC97y%2BjwxqIYjvIFKXY9cZEoaHGh4c6FbXsia714zG3CQp8NSGLbqCCu93oJI1Z61E%2BZ6PhB3vZGdBvXi61AlJcxZ7sti6i0h4VAbWspiJIgWwoZzrsTtneBNNpUW9tvtacGgEZIwAKV%2F3AhVEZu3WC1eQ9HtfjT9%2FjW99SEB8VVGXwkM%2FA9mtT%2FuiL0cAfQZRMhtbQJXXDRdkYEw%2FWuhjJ3zxEtEB2m3uH%2B%2BUEzOzGTd5Knm%2Bero%2BhMfN8X%2Botm3DDbtICbBjqcAf5Riii0XE1w2TZvpm%2FPNHTchCu7FnNz5hfvflv8scpgO5M4bGpy%2FadI4%2F7AUQqCQXFw4scF0FCCdb8AKJZsFGG18W1jjDHyR0YuxZFQ%2FJQRt0JP3yr%2BkVxjAH7qTtc0AzF%2FnGTgy3MOF%2Bm6Y7EkyCWyV2r6o1JTBQMftlf7MI8Uvw4cSZE6JoZviaFtmKVLGGgR4F3cDiyU56augA%3D%3D&X-Amz-Signature=a7bb4d7597ad37cdf1f260890c3c474f7f49334db58c9650d75302a34126f7bc&X-Amz-SignedHeaders=host",\
\
"videoRemovedAt": 1620739118,\
\
"retriedJobId": "673da019-bf0c-476e-9c4f-d35252a151dc",\
\
"retriedOriginalJobId": "673da019-bf0c-476e-9c4f-d35252a151dc",\
\
"retriedByJobId": null,\
\
"capturedTexts": [{"id": "a5398be3-020c-4b6f-a6c6-59ed4d86ab5c",\
\
"name": "Product Title",\
\
"text": "Apple iPhone 8, 64GB, Space Gray",\
\
"targetNotFound": false,\
\
"type": "innerText",\
\
"createdAt": 1620739118\
\
}\
\
],\
\
"capturedScreenshots": [{"id": "b4d132f3-12d9-4770-ac7d-88e481fc5b47",\
\
"name": "Top ads",\
\
"src": "https://prod-browseai-captured-data.s3.amazonaws.com/1fae674a-2788-46a8-83c8-95c4664c6d25/6326b3c1-7b16-4256-a323-7d8d8954bd4e/1061671f-7f71-42ac-bb9a-207d126d1f3a/00001-user-1620230947-6f113cf2-90ef-4c66-a448-9d5c6bd64873.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAQVG3TPBVXHSCAX63%2F20221031%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221031T185642Z&X-Amz-Expires=1800&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEJP%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQDfX8VNAl5kBgttrCU85U5wc1ZtSOmshO6%2FPilXOv8nvgIhAIveFfsk%2B2CnEkrMZWriodEPsj0osO5a5zV6eVu%2FXfuZKp8DCHwQAhoMMDQ1NTU3NzA4OTA3IgyrbhVK0MP1WMFBXh0q%2FAJulP5qfaV5mn3NRbINqZN4hy4Dg3IujNrZjw8ef32sWE1Gj2D%2Fc0YTJUzvx%2Fnm7LxyNO6AR35mrVy%2FBm9Q80UIspkcLMl45EK%2FoUDO0fAvoUF8g6iZ905qS3MvnOTxXkObhM1PVmpFeJFMw3jksnOPfKE4X7Ut%2FJXNwD%2F5QzdkQCXkGem%2BlrYSSSf8jB8lihTAjT%2FNXmOKMv3jktmZ13T8J1R8F8zeuLPMQf7QphUzlKn5joPb28cConluQC97y%2BjwxqIYjvIFKXY9cZEoaHGh4c6FbXsia714zG3CQp8NSGLbqCCu93oJI1Z61E%2BZ6PhB3vZGdBvXi61AlJcxZ7sti6i0h4VAbWspiJIgWwoZzrsTtneBNNpUW9tvtacGgEZIwAKV%2F3AhVEZu3WC1eQ9HtfjT9%2FjW99SEB8VVGXwkM%2FA9mtT%2FuiL0cAfQZRMhtbQJXXDRdkYEw%2FWuhjJ3zxEtEB2m3uH%2B%2BUEzOzGTd5Knm%2Bero%2BhMfN8X%2Botm3DDbtICbBjqcAf5Riii0XE1w2TZvpm%2FPNHTchCu7FnNz5hfvflv8scpgO5M4bGpy%2FadI4%2F7AUQqCQXFw4scF0FCCdb8AKJZsFGG18W1jjDHyR0YuxZFQ%2FJQRt0JP3yr%2BkVxjAH7qTtc0AzF%2FnGTgy3MOF%2Bm6Y7EkyCWyV2r6o1JTBQMftlf7MI8Uvw4cSZE6JoZviaFtmKVLGGgR4F3cDiyU56augA%3D%3D&X-Amz-Signature=a7bb4d7597ad37cdf1f260890c3c474f7f49334db58c9650d75302a34126f7bc&X-Amz-SignedHeaders=host",\
\
"width": 600,\
\
"height": 120,\
\
"x": 201,\
\
"y": 142,\
\
"deviceScaleFactor": 1.2,\
\
"full": null,\
\
"createdAt": 1620739118,\
\
"comparedToScreenshotId": "29d742c2-6f45-4f29-9d48-ba6fe66e6e3d",\
\
"diffImageSrc": "https://prod-browseai-captured-data.s3.amazonaws.com/1fae674a-2788-46a8-83c8-95c4664c6d25/6326b3c1-7b16-4256-a323-7d8d8954bd4e/1061671f-7f71-42ac-bb9a-207d126d1f3a/00001-user-1620230947-6f113cf2-90ef-4c66-a448-9d5c6bd64873.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAQVG3TPBVXHSCAX63%2F20221031%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221031T185642Z&X-Amz-Expires=1800&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEJP%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQDfX8VNAl5kBgttrCU85U5wc1ZtSOmshO6%2FPilXOv8nvgIhAIveFfsk%2B2CnEkrMZWriodEPsj0osO5a5zV6eVu%2FXfuZKp8DCHwQAhoMMDQ1NTU3NzA4OTA3IgyrbhVK0MP1WMFBXh0q%2FAJulP5qfaV5mn3NRbINqZN4hy4Dg3IujNrZjw8ef32sWE1Gj2D%2Fc0YTJUzvx%2Fnm7LxyNO6AR35mrVy%2FBm9Q80UIspkcLMl45EK%2FoUDO0fAvoUF8g6iZ905qS3MvnOTxXkObhM1PVmpFeJFMw3jksnOPfKE4X7Ut%2FJXNwD%2F5QzdkQCXkGem%2BlrYSSSf8jB8lihTAjT%2FNXmOKMv3jktmZ13T8J1R8F8zeuLPMQf7QphUzlKn5joPb28cConluQC97y%2BjwxqIYjvIFKXY9cZEoaHGh4c6FbXsia714zG3CQp8NSGLbqCCu93oJI1Z61E%2BZ6PhB3vZGdBvXi61AlJcxZ7sti6i0h4VAbWspiJIgWwoZzrsTtneBNNpUW9tvtacGgEZIwAKV%2F3AhVEZu3WC1eQ9HtfjT9%2FjW99SEB8VVGXwkM%2FA9mtT%2FuiL0cAfQZRMhtbQJXXDRdkYEw%2FWuhjJ3zxEtEB2m3uH%2B%2BUEzOzGTd5Knm%2Bero%2BhMfN8X%2Botm3DDbtICbBjqcAf5Riii0XE1w2TZvpm%2FPNHTchCu7FnNz5hfvflv8scpgO5M4bGpy%2FadI4%2F7AUQqCQXFw4scF0FCCdb8AKJZsFGG18W1jjDHyR0YuxZFQ%2FJQRt0JP3yr%2BkVxjAH7qTtc0AzF%2FnGTgy3MOF%2Bm6Y7EkyCWyV2r6o1JTBQMftlf7MI8Uvw4cSZE6JoZviaFtmKVLGGgR4F3cDiyU56augA%3D%3D&X-Amz-Signature=a7bb4d7597ad37cdf1f260890c3c474f7f49334db58c9650d75302a34126f7bc&X-Amz-SignedHeaders=host",\
\
"changePercentage": 20,\
\
"diffThreshold": 5,\
\
"fileRemovedAt": 1620739118\
\
}\
\
],\
\
"capturedLists": [{"id": "b9585fa0-20be-4094-8a03-6878b86d7cbf",\
\
"name": "Products",\
\
"skip": 0,\
\
"limit": 100,\
\
"itemsCount": 86,\
\
"uniqueCapturedTextName": "Product Title",\
\
"createdAt": 1620739118,\
\
"listItems": [{"listItemIndex": 0,\
\
"capturedTexts": [{ }\
\
],\
\
"capturedLists": { }\
\
}\
\
]\
\
}\
\
]\
\
}\
\
]

}

}

}`
